<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.smx.iface Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.smx.iface Class Hierarchy";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/exception/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/iface/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package ch.javasoft.smx.iface
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang"><B>Cloneable</B></A><UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface"><B>MatrixBase</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableDoubleMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>DoubleMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">WritableDoubleMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;N&gt;, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;N&gt;)
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableBigIntegerRationalMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>BigIntegerRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableBigIntegerMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><B>BigIntegerMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableLongMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongRationalMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/LongMatrix.html" title="interface in ch.javasoft.smx.iface"><B>LongMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableIntMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntRationalMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/IntMatrix.html" title="interface in ch.javasoft.smx.iface"><B>IntMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A>&lt;N&gt;)
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableLongRationalMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/LongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>LongRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableIntRationalMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/IntRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>IntRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableIntMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/IntMatrix.html" title="interface in ch.javasoft.smx.iface"><B>IntMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A>&lt;N&gt;)
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableLongMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/LongMatrix.html" title="interface in ch.javasoft.smx.iface"><B>LongMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntMatrix.html" title="interface in ch.javasoft.smx.iface"><B>ReadableIntMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntRationalMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/IntMatrix.html" title="interface in ch.javasoft.smx.iface"><B>IntMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A>&lt;N&gt;)
</UL>
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface"><B>ReadableVector</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;N&gt;)
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface"><B>VectorBase</B></A>&lt;N&gt; (also extends java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface"><B>ReadableVector</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;N&gt;)
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface"><B>WritableVector</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;N&gt;)
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableIntMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/IntMatrix.html" title="interface in ch.javasoft.smx.iface"><B>IntMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableIntRationalMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/IntRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>IntRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableLongRationalMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/LongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>LongRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableBigIntegerRationalMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>BigIntegerRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableDoubleMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>DoubleMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;N&gt;, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;N&gt;)
</UL>
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableLongMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/LongMatrix.html" title="interface in ch.javasoft.smx.iface"><B>LongMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableBigIntegerMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><B>BigIntegerMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableBigIntegerRationalMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>BigIntegerRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableDoubleMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>DoubleMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;N&gt;, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;N&gt;)
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableLongRationalMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/LongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>LongRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableBigIntegerRationalMatrix</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>BigIntegerRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface">RationalMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>WritableDoubleMatrix</B></A>&lt;N&gt;<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>DoubleMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;N&gt;, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;N&gt;)
</UL>
</UL>
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface"><B>WritableVector</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;N&gt;)
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface"><B>VectorBase</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface"><B>ReadableVector</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;N&gt;)
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface"><B>WritableVector</B></A>&lt;N&gt; (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;N&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface"><B>DoubleVector</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;N&gt;)
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/RationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>RationalMatrix</B></A><UL>
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>BigIntegerRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;N&gt;, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/IntRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>IntRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntRationalMatrix</A>&lt;N&gt;, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix</A>&lt;N&gt;)
<LI TYPE="circle">ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/LongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>LongRationalMatrix</B></A> (also extends ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongRationalMatrix</A>&lt;N&gt;, ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix</A>&lt;N&gt;)
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/exception/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/iface/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
